# WARNING
# don't modify the specfile from the package
# directly
# use CVS in /cooker/soft/RpmDrake and rebuild package from here

%define name	gtk+mdk
%define version	0.1.6
%define release 14mdk

%define major	0.1_6
%define libname	lib%{name}%{major}

Name:		%{name}
Summary: 	MandrakeSoft specific GTK+ Widgets
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Url: 		http://www.mandrakelinux.com/
Group: 		System/Libraries
BuildRequires: 	gettext-devel
BuildRequires: 	gtk+-devel
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This library provides some widgets which use is very encouraged in
every GTK+ based mandrake applications.

%package -n %{libname}
Summary: Mandrake specific GTK+ Widgets
Group: System/Libraries
Requires: %{name} >= %{version}
Provides: lib%{name} = %{version}-%{release} 
Obsoletes: lib%{name}
Requires: mdk-menu-messages

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libgtk+mdk.


%package -n %{libname}-devel
Summary: Mandrake specific GTK+ Widgets
Group: Development/GNOME and GTK+ 
Requires: %{libname} = %version
Requires: libgtk+1.2-devel
Obsoletes: %{name}-devel
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: libgtk+mdk0.1-devel

%description -n %{libname}-devel
Static libraries and header files for the Mandrake specific GTK+ Widgets.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

# translations are now distributed trough "mdk-menu-messages" package
#%{find_lang} %{name}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale

%clean
rm -rf %buildroot

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

#%files -f %{name}.lang
%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog README TODO

%files -n %{libname}
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/libgtkmdk-0.1.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*txt COPYING

%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*
%{_bindir}/*

%changelog
* Wed Feb 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.6-14mdk
- removed translations (they will now go into an "mdk-menu-messages" package)

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.6-13mdk
- BuildRequires: 	gettext-devel

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.6-12mdk
- rebuild to include latest translations

* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.6-11mdk
- Update translations

* Thu Feb 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.1.6-10mdk
- fix file selection (cause bug in rpmdrake).

* Tue Feb 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.6-9mdk
- Fix english string for sharing

* Mon Feb 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.6-8mdk
- Resurrect main package for translation 
- Clean file selection (Thanks to Andrej Borsenkow)

* Fri Feb 01 2002 Yves Duret <yduret@mandrakesoft.com> 0.1.6-7mdk
- someone created macros to be used.. so we use them
- fix %%clean and %%prep

* Wed Oct 31 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.1.6-6mdk
- url tag

* Tue Oct 09 2001 DindinX <odin@mandrakesoft.com> 0.1.6-5mdk
- make rpmlint happy

* Mon Jul 16 2001 DindinX <odin@mandrakesoft.com> 0.1.6-4mdk
- fixed dependancies for devel

* Wed Jul  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.6-3mdk
- respect lib policy (provides of devel package, qualify all provides)

* Wed Jul  4 2001 DindinX <odin@mandrakesoft.com> 0.1.6-2mdk
- some spec fixes (<maddog@linuxhall.org>)

* Wed Jun 27 2001 DindinX <odin@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6 (gtkwizard is now a gtkvbox)
- libification

* Fri May 25 2001 DindinX <odin@mandrakesoft.com> 0.1.5-6mdk
- rebuild with new gettext

* Fri Apr 13 2001 DindinX <odin@mandrakesoft.com> 0.1.5-5mdk
- updated po

* Tue Apr 10 2001 DindinX <odin@mandrakesoft.com> 0.1.5-4mdk
- remove the left part of gtkwizard :-<
- updated po

* Mon Mar 26 2001 DindinX <odin@mandrakesoft.com> 0.1.5-3mdk
- minor UI fixes.

* Thu Mar  8 2001 DindinX <odin@mandrakesoft.com> 0.1.5-2mdk
- added some functionnalities to gtkwizard

* Wed Feb  7 2001 DindinX <odin@mandrakesoft.com> 0.1.5-1mdk
- 0.1.5 (new widget GtkMdkProgress)

* Tue Jan 23 2001 DindinX <odin@mandrakesoft.com> 0.1.4-2mdk
- bugfixes release

* Thu Jan 11 2001 DindinX <odin@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.1.3-6mdk
- updated po

* Wed Sep 27 2000 DindinX <odin@mandrakesoft.com> 0.1.3-5mdk
- updated po
- snapshot

* Tue Sep 19 2000 DindinX <odin@mandrakesoft.com> 0.1.3-4mdk
- updated translation

* Mon Aug 14 2000 DindinX <odin@mandrakesoft.com> 0.1.3-3mdk
- Fix the buggy automatically added BuildRequires
- specs fixes
- bugfixes

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.3-2mdk
- automatically added BuildRequires

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.1.3-1mdk
- New release

* Thu Mar 23 2000 DindinX <odin@mandrakesoft.com> 0.1.2-1mdk
- Bugfixes and some new widgets

* Mon Mar  6 2000 DindinX <odin@mandrakesoft.com> 0.1.1-1mdk
- New release with some new widgets and a documentation

* Thu Mar  2 2000 DindinX <odin@mandrakesoft.com> 0.1.0-1mdk
- First release...

